package com.zh.project0512.service;

import com.zh.project0512.model.dto.OperationRoleJurisdictionDTO;
import com.zh.project0512.model.dto.AdminJurisdictionFBIDTO;
import com.zh.project0512.model.vo.AdminJurisdictionFBRIVo;

import java.util.List;

public interface IAdminJurisdictionService {
    /**
     * 操作角色权限
     * @param operationRoleJurisdictionDTO 操作用户权限DTO
     * @return 操作结果
     */
    boolean operationRoleJurisdiction(OperationRoleJurisdictionDTO operationRoleJurisdictionDTO);

    /**
     * 根据角色主键id查询角色权限信息
     * @param adminJurisdictionFBIDTO 角色权限 FBI DTO
     * @return 角色权限信息
     */
    List<AdminJurisdictionFBRIVo> findByRoleId(AdminJurisdictionFBIDTO adminJurisdictionFBIDTO);

}
