package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.BrandMapper;
import com.zh.project0512.model.Brand;
import com.zh.project0512.model.Tag;
import com.zh.project0512.mapper.TagMapper;
import com.zh.project0512.service.ITagService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-22
 */
@Service
public class TagServiceImpl extends ServiceImpl<TagMapper, Tag> implements ITagService {
    @Autowired
    private TagMapper tagMapper;
    public void addTag(Tag tag){
        tagMapper.addTag(tag);
    }
    public void updSort(int origin, int current, boolean originHigherCurrent) {
        tagMapper.updSort(origin, current, originHigherCurrent);
    }
}
