package com.zh.project0512.controller.wxApp;

import com.zh.project0512.utils.result.Result;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@Tag(name = "快手")
@RestController
@RequestMapping("/wxApp/ks")
public class KsUController {

    @Value("${ks.appid}")
    private String appid;
    @Value("${ks.secret}")
    private String secret;
    @Value("${ks.redirectUrl}")
    private String redirectUrl;

    private String rootUrl = "https://open.kuaishou.com";
    @PostMapping("/code")
    public Result getCode(){
        String code = "e1609427a93aa4434335c4d3e9a1773dd79e135cc65b965a725ade4e8b856996063874c4";
        String url = rootUrl + "/oauth2/access_token";
        Map<String, String> param = new HashMap<>();
        param.put("app_id", appid);
        param.put("app_secret", secret);
        param.put("code",code);
        param.put("grant_type", "authorization_code");
        String s = null;
        System.out.println(s);

        return Result.success(s);
    }
}
