package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.QywxDepartmentGroupMapper;
import com.zh.project0512.model.QywxDepartmentGroupLink;
import com.zh.project0512.mapper.QywxDepartmentGroupLinkMapper;
import com.zh.project0512.service.IQywxDepartmentGroupLinkService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-06-24
 */
@Service
public class QywxDepartmentGroupLinkServiceImpl extends ServiceImpl<QywxDepartmentGroupLinkMapper, QywxDepartmentGroupLink> implements IQywxDepartmentGroupLinkService {
    @Autowired
    private QywxDepartmentGroupLinkMapper qywxDepartmentGroupLinkMapper;

    public void groupAddDepartment(Integer groupId, List<Integer> departmentIdList, LocalDateTime creatAt) {
        qywxDepartmentGroupLinkMapper.groupAddDepartment(groupId, departmentIdList, creatAt);
    }
    public List<Map> departmentList(Integer groupId){
       return qywxDepartmentGroupLinkMapper.departmentList(groupId);
    }
    public List<Map> departmentList2(Integer groupId){
        return qywxDepartmentGroupLinkMapper.departmentList2(groupId);
    }
    public List<Integer> departmentIdList(Integer xxx,List groupIdList){
        return qywxDepartmentGroupLinkMapper.departmentIdList(xxx,groupIdList);
    }
}
