package com.zh.project0512.serviceImpl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.QywxDepartment;
import com.zh.project0512.mapper.QywxDepartmentMapper;
import com.zh.project0512.service.IQywxDepartmentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-06-07
 */
@Service
public class QywxDepartmentServiceImpl extends ServiceImpl<QywxDepartmentMapper, QywxDepartment> implements IQywxDepartmentService {
    @Autowired
    private QywxDepartmentMapper qywxDepartmentMapper;

    public void updateAll(List<Map> list) {
        qywxDepartmentMapper.updateAll(list);
    }
    public List<Map> list(IPage iPage){
        return qywxDepartmentMapper.list(iPage);
    }
}
