package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zh.project0512.mapper.QywxDepartmentUserLinkMapper;
import com.zh.project0512.model.QywxDepartmentUserLink;
import com.zh.project0512.service.IQywxDepartmentUserLinkService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class QywxDepartmentUserLinkServiceImpl implements IQywxDepartmentUserLinkService {
    @Resource
    QywxDepartmentUserLinkMapper qywxDepartmentUserLinkMapper;


    @Override
    public int insert(QywxDepartmentUserLink qywxDepartmentUserLink) {
        return qywxDepartmentUserLinkMapper.insert(qywxDepartmentUserLink);
    }

    @Override
    public int delete(String openid) {
        QueryWrapper<QywxDepartmentUserLink> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("openid",openid);
        return qywxDepartmentUserLinkMapper.delete(queryWrapper);
    }
}
